'Include for RC5_FBObjects.bi (to have these VB- and RC5-related Enums available whilst defining Wrapper-Methods)

Enum VbMsgBoxStyle
  vbOKOnly=0
  vbOKCancel=1
  vbAbortRetryIgnore=2
  vbYesNoCancel=3
  vbYesNo=4
  vbRetryCancel=5
  vbCritical=16
  vbQuestion=32
  vbExclamation=48
  vbInformation=64
  vbDefaultButton1=0
  vbDefaultButton2=256
  vbDefaultButton3=512
  vbDefaultButton4=768
  vbApplicationModal=0
  vbSystemModal=4096
  vbMsgBoxHelpButton=16384
  vbMsgBoxRight=524288
  vbMsgBoxRtlReading=1048576
  vbMsgBoxSetForeground=65536
End Enum

Enum VbMsgBoxResult
  vbOK=1
  vbCancel=2
  vbAbort=3
  vbRetry=4
  vbIgnore=5
  vbYes=6
  vbNo=7
End Enum

Enum VbFileAttribute
  vbNormal=0
  vbReadOnly=1
  vbHidden=2
  vbSystem=4
  vbVolume=8
  vbDirectory=16
  vbArchive=32
  vbAlias=64
End Enum

Enum VbStrConv
  vbUpperCase=1
  vbLowerCase=2
  vbProperCase=3
  vbWide=4
  vbNarrow=8
  vbKatakana=16
  vbHiragana=32
  vbUnicode=64
  vbFromUnicode=128
End Enum

Enum VbDayOfWeek
  vbUseSystemDayOfWeek=0
  vbSunday=1
  vbMonday=2
  vbTuesday=3
  vbWednesday=4
  vbThursday=5
  vbFriday=6
  vbSaturday=7
End Enum

Enum VbFirstWeekOfYear
  vbUseSystem=0
  vbFirstJan1=1
  vbFirstFourDays=2
  vbFirstFullWeek=3
End Enum

Enum VbIMEStatus
  vbIMENoOp=0
  vbIMEModeNoControl=0
  vbIMEOn=1
  vbIMEModeOn=1
  vbIMEOff=2
  vbIMEModeOff=2
  vbIMEDisable=3
  vbIMEModeDisable=3
  vbIMEHiragana=4
  vbIMEModeHiragana=4
  vbIMEKatakanaDbl=5
  vbIMEModeKatakana=5
  vbIMEKatakanaSng=6
  vbIMEModeKatakanaHalf=6
  vbIMEAlphaDbl=7
  vbIMEModeAlphaFull=7
  vbIMEAlphaSng=8
  vbIMEModeAlpha=8
  vbIMEModeHangulFull=9
  vbIMEModeHangul=10
End Enum

Enum VbAppWinStyle
  vbHide=0
  vbNormalFocus=1
  vbMinimizedFocus=2
  vbMaximizedFocus=3
  vbNormalNoFocus=4
  vbMinimizedNoFocus=6
End Enum

Enum VbCompareMethod
  vbBinaryCompare=0
  vbTextCompare=1
  vbDatabaseCompare=2
End Enum

Enum VbCalendar
  vbCalGreg=0
  vbCalHijri=1
End Enum

Enum VbDateTimeFormat
  vbGeneralDate=0
  vbLongDate=1
  vbShortDate=2
  vbLongTime=3
  vbShortTime=4
End Enum

Enum VbTriState
  vbUseDefault=-2
  vbTrue=-1
  vbFalse=0
End Enum

Enum VbCallType
  VbMethod=1
  VbGet=2
  VbLet=4
  VbSet=8
End Enum

Enum PaletteModeConstants
  vbPaletteModeHalftone=0
  vbPaletteModeUseZOrder=1
  vbPaletteModeCustom=2
  vbPaletteModeContainer=3
  vbPaletteModeNone=4
  vbPaletteModeObject=5
End Enum

Enum AsyncTypeConstants
  vbAsyncTypePicture=0
  vbAsyncTypeFile=1
  vbAsyncTypeByteArray=2
End Enum

Enum AsyncReadConstants
  vbAsyncReadSynchronousDownload=1
  vbAsyncReadOfflineOperation=8
  vbAsyncReadForceUpdate=16
  vbAsyncReadResynchronize=512
  vbAsyncReadGetFromCacheIfNetFail=524288
End Enum

Enum AsyncStatusCodeConstants
  vbAsyncStatusCodeError=0
  vbAsyncStatusCodeFindingResource=1
  vbAsyncStatusCodeConnecting=2
  vbAsyncStatusCodeRedirecting=3
  vbAsyncStatusCodeBeginDownloadData=4
  vbAsyncStatusCodeDownloadingData=5
  vbAsyncStatusCodeEndDownloadData=6
  vbAsyncStatusCodeUsingCachedCopy=10
  vbAsyncStatusCodeSendingRequest=11
  vbAsyncStatusCodeMIMETypeAvailable=13
  vbAsyncStatusCodeCacheFileNameAvailable=14
  vbAsyncStatusCodeBeginSyncOperation=15
  vbAsyncStatusCodeEndSyncOperation=16
End Enum

Enum LogEventTypeConstants
  vbLogEventTypeError=1
  vbLogEventTypeWarning=2
  vbLogEventTypeInformation=4
End Enum

Enum QueryUnloadConstants
  vbFormControlMenu=0
  vbFormCode=1
  vbAppWindows=2
  vbAppTaskManager=3
  vbFormMDIForm=4
  vbFormOwner=5
End Enum

Enum ZOrderConstants
  vbBringToFront=0
  vbSendToBack=1
End Enum

Enum ShiftConstants
  vbShiftMask=1
  vbCtrlMask=2
  vbAltMask=4
End Enum

Enum MouseButtonConstants
  vbLeftButton=1
  vbRightButton=2
  vbMiddleButton=4
End Enum

Enum ApplicationStartConstants
  vbSModeStandalone=0
  vbSModeAutomation=1
End Enum

Enum ScrollBarConstants
  vbSBNone=0
  vbHorizontal=1
  vbVertical=2
  vbBoth=3
End Enum

Enum ShapeConstants
  vbShapeRectangle=0
  vbShapeSquare=1
  vbShapeOval=2
  vbShapeCircle=3
  vbShapeRoundedRectangle=4
  vbShapeRoundedSquare=5
End Enum

Enum PictureTypeConstants
  vbPicTypeNone=0
  vbPicTypeBitmap=1
  vbPicTypeMetafile=2
  vbPicTypeIcon=3
  vbPicTypeEMetafile=4
End Enum

Enum ComboBoxConstants
  vbComboDropdown=0
  vbComboSimple=1
  vbComboDropdownList=2
End Enum

Enum MultiSelectConstants
  vbMultiSelectNone=0
  vbMultiSelectSimple=1
  vbMultiSelectExtended=2
End Enum

Enum DataErrorConstants
  vbDataErrContinue=0
  vbDataErrDisplay=1
End Enum

Enum DataValidateConstants
  vbDataActionCancel=0
  vbDataActionMoveFirst=1
  vbDataActionMovePrevious=2
  vbDataActionMoveNext=3
  vbDataActionMoveLast=4
  vbDataActionAddNew=5
  vbDataActionUpdate=6
  vbDataActionDelete=7
  vbDataActionFind=8
  vbDataActionBookmark=9
  vbDataActionClose=10
  vbDataActionUnload=11
End Enum

Enum DataBOFconstants
  vbMoveFirst=0
  vbBOF=1
End Enum

Enum DataEOFConstants
  vbMoveLast=0
  vbEOF=1
  vbAddNew=2
End Enum

Enum RecordsetTypeConstants
  vbRSTypeTable=0
  vbRSTypeDynaset=1
  vbRSTypeSnapShot=2
End Enum

Enum DefaultCursorTypeConstants
  vbUseDefaultCursor=0
  vbUseODBCCursor=1
  vbUseServersideCursor=2
End Enum

Enum VariantTypeConstants
  vbVEmpty=0
  vbVNull=1
  vbVInteger=2
  vbVLong=3
  vbVSingle=4
  vbVDouble=5
  vbVCurrency=6
  vbVDate=7
  vbVString=8
End Enum

Enum LinkErrorConstants
  vbWrongFormat=1
  vbDDESourceClosed=6
  vbTooManyLinks=7
  vbDataTransferFailed=8
End Enum

Enum LinkModeConstants
  vbLinkNone=0
  vbLinkSource=1
  vbLinkAutomatic=1
  vbLinkManual=2
  vbLinkNotify=3
End Enum

Enum OldLinkModeConstants
  vbHot=1
  vbServer=1
  vbCold=2
End Enum

Enum ClipBoardConstants
  vbCFLink=-16640
  vbCFText=1
  vbCFBitmap=2
  vbCFMetafile=3
  vbCFDIB=8
  vbCFPalette=9
  vbCFEMetafile=14
  vbCFFiles=15
  vbCFRTF=-16639
End Enum

Enum DragOverConstants
  vbEnter=0
  vbLeave=1
  vbOver=2
End Enum

Enum DragConstants
  vbCancel=0
  vbBeginDrag=1
  vbEndDrag=2
End Enum

Enum DragModeConstants
  vbManual=0
  vbAutomatic=1
End Enum

Enum OLEDropEffectConstants
  vbDropEffectNone=0
  vbDropEffectCopy=1
  vbDropEffectMove=2
  vbDropEffectScroll=-2147483648
End Enum

Enum OLEDragConstants
  vbOLEDragManual=0
  vbOLEDragAutomatic=1
End Enum

Enum OLEDropConstants
  vbOLEDropNone=0
  vbOLEDropManual=1
  vbOLEDropAutomatic=2
End Enum

Enum FormShowConstants
  vbModeless=0
  vbModal=1
End Enum

Enum FormArrangeConstants
  vbCascade=0
  vbTileHorizontal=1
  vbTileVertical=2
  vbArrangeIcons=3
End Enum

Enum FormWindowStateConstants
  vbNormal=0
  vbMinimized=1
  vbMaximized=2
End Enum

Enum KeyCodeConstants
  vbKeyLButton=1
  vbKeyRButton=2
  vbKeyCancel=3
  vbKeyMButton=4
  vbKeyBack=8
  vbKeyTab=9
  vbKeyClear=12
  vbKeyReturn=13
  vbKeyShift=16
  vbKeyControl=17
  vbKeyMenu=18
  vbKeyPause=19
  vbKeyCapital=20
  vbKeyEscape=27
  vbKeySpace=32
  vbKeyPageUp=33
  vbKeyPageDown=34
  vbKeyEnd=35
  vbKeyHome=36
  vbKeyLeft=37
  vbKeyUp=38
  vbKeyRight=39
  vbKeyDown=40
  vbKeySelect=41
  vbKeyPrint=42
  vbKeyExecute=43
  vbKeySnapshot=44
  vbKeyInsert=45
  vbKeyDelete=46
  vbKeyHelp=47
  vbKeyNumlock=144
  vbKeyScrollLock=145
  vbKeyA=65
  vbKeyB=66
  vbKeyC=67
  vbKeyD=68
  vbKeyE=69
  vbKeyF=70
  vbKeyG=71
  vbKeyH=72
  vbKeyI=73
  vbKeyJ=74
  vbKeyK=75
  vbKeyL=76
  vbKeyM=77
  vbKeyN=78
  vbKeyO=79
  vbKeyP=80
  vbKeyQ=81
  vbKeyR=82
  vbKeyS=83
  vbKeyT=84
  vbKeyU=85
  vbKeyV=86
  vbKeyW=87
  vbKeyX=88
  vbKeyY=89
  vbKeyZ=90
  vbKey0=48
  vbKey1=49
  vbKey2=50
  vbKey3=51
  vbKey4=52
  vbKey5=53
  vbKey6=54
  vbKey7=55
  vbKey8=56
  vbKey9=57
  vbKeyNumpad0=96
  vbKeyNumpad1=97
  vbKeyNumpad2=98
  vbKeyNumpad3=99
  vbKeyNumpad4=100
  vbKeyNumpad5=101
  vbKeyNumpad6=102
  vbKeyNumpad7=103
  vbKeyNumpad8=104
  vbKeyNumpad9=105
  vbKeyMultiply=106
  vbKeyAdd=107
  vbKeySeparator=108
  vbKeySubtract=109
  vbKeyDecimal=110
  vbKeyDivide=111
  vbKeyF1=112
  vbKeyF2=113
  vbKeyF3=114
  vbKeyF4=115
  vbKeyF5=116
  vbKeyF6=117
  vbKeyF7=118
  vbKeyF8=119
  vbKeyF9=120
  vbKeyF10=121
  vbKeyF11=122
  vbKeyF12=123
  vbKeyF13=124
  vbKeyF14=125
  vbKeyF15=126
  vbKeyF16=127
End Enum

Enum MenuAccelConstants
  vbMenuAccelCtrlA=1
  vbMenuAccelCtrlB=2
  vbMenuAccelCtrlC=3
  vbMenuAccelCtrlD=4
  vbMenuAccelCtrlE=5
  vbMenuAccelCtrlF=6
  vbMenuAccelCtrlG=7
  vbMenuAccelCtrlH=8
  vbMenuAccelCtrlI=9
  vbMenuAccelCtrlJ=10
  vbMenuAccelCtrlK=11
  vbMenuAccelCtrlL=12
  vbMenuAccelCtrlM=13
  vbMenuAccelCtrlN=14
  vbMenuAccelCtrlO=15
  vbMenuAccelCtrlP=16
  vbMenuAccelCtrlQ=17
  vbMenuAccelCtrlR=18
  vbMenuAccelCtrlS=19
  vbMenuAccelCtrlT=20
  vbMenuAccelCtrlU=21
  vbMenuAccelCtrlV=22
  vbMenuAccelCtrlW=23
  vbMenuAccelCtrlX=24
  vbMenuAccelCtrlY=25
  vbMenuAccelCtrlZ=26
  vbMenuAccelF1=27
  vbMenuAccelF2=28
  vbMenuAccelF3=29
  vbMenuAccelF4=30
  vbMenuAccelF5=31
  vbMenuAccelF6=32
  vbMenuAccelF7=33
  vbMenuAccelF8=34
  vbMenuAccelF9=35
  vbMenuAccelF11=36
  vbMenuAccelF12=37
  vbMenuAccelCtrlF1=38
  vbMenuAccelCtrlF2=39
  vbMenuAccelCtrlF3=40
  vbMenuAccelCtrlF4=41
  vbMenuAccelCtrlF5=42
  vbMenuAccelCtrlF6=43
  vbMenuAccelCtrlF7=44
  vbMenuAccelCtrlF8=45
  vbMenuAccelCtrlF9=46
  vbMenuAccelCtrlF11=47
  vbMenuAccelCtrlF12=48
  vbMenuAccelShiftF1=49
  vbMenuAccelShfitF2=50
  vbMenuAccelShiftF3=51
  vbMenuAccelShiftF4=52
  vbMenuAccelShiftF5=53
  vbMenuAccelShiftF6=54
  vbMenuAccelShiftF7=55
  vbMenuAccelShiftF8=56
  vbMenuAccelShiftF9=57
  vbMenuAccelShiftF11=58
  vbMenuAccelShiftF12=59
  vbMenuAccelShiftCtrlF1=60
  vbMenuAccelShiftCtrlF2=61
  vbMenuAccelShiftCtrlF3=62
  vbMenuAccelShiftCtrlF4=63
  vbMenuAccelShiftCtrlF5=64
  vbMenuAccelShiftCtrlF6=65
  vbMenuAccelShiftCtrlF7=66
  vbMenuAccelShiftCtrlF8=67
  vbMenuAccelShiftCtrlF9=68
  vbMenuAccelShiftCtrlF11=69
  vbMenuAccelShiftCtrlF12=70
  vbMenuAccelCtrlIns=71
  vbMenuAccelShiftIns=72
  vbMenuAccelDel=73
  vbMenuAccelShiftDel=74
  vbMenuAccelAltBksp=75
End Enum

Enum ColorConstants
  vbBlack=0
  vbRed=255
  vbGreen=65280
  vbYellow=65535
  vbBlue=16711680
  vbMagenta=16711935
  vbCyan=16776960
  vbWhite=16777215
End Enum

Enum SystemColorConstants
  vbScrollBars=-2147483648
  vbDesktop=-2147483647
  vbActiveTitleBar=-2147483646
  vbInactiveTitleBar=-2147483645
  vbMenuBar=-2147483644
  vbWindowBackground=-2147483643
  vbWindowFrame=-2147483642
  vbMenuText=-2147483641
  vbWindowText=-2147483640
  vbTitleBarText=-2147483639
  vbActiveBorder=-2147483638
  vbInactiveBorder=-2147483637
  vbApplicationWorkspace=-2147483636
  vbHighlight=-2147483635
  vbHighlightText=-2147483634
  vbButtonFace=-2147483633
  vbButtonShadow=-2147483632
  vbGrayText=-2147483631
  vbButtonText=-2147483630
  vbActiveTitleBarText=-2147483639
  vbInactiveTitleBarText=-2147483629
  vbInactiveCaptionText=-2147483629
  vb3DHighlight=-2147483628
  vb3DFace=-2147483633
  vb3DShadow=-2147483632
  vb3DDKShadow=-2147483627
  vb3DLight=-2147483626
  vbInfoText=-2147483625
  vbInfoBackground=-2147483624
End Enum

Enum AlignConstants
  vbAlignNone=0
  vbAlignTop=1
  vbAlignBottom=2
  vbAlignLeft=3
  vbAlignRight=4
End Enum

Enum AlignmentConstants
  vbLeftJustify=0
  vbRightJustify=1
  vbCenter=2
End Enum

Enum FormBorderStyleConstants
  vbBSNone=0
  vbFixedSingle=1
  vbSizable=2
  vbFixedDouble=3
  vbFixedDialog=3
  vbFixedToolWindow=4
  vbSizableToolWindow=5
End Enum

Enum BorderStyleConstants
  vbTransparent=0
  vbBSSolid=1
  vbBSDash=2
  vbBSDot=3
  vbBSDashDot=4
  vbBSDashDotDot=5
  vbBSInsideSolid=6
End Enum

Enum MousePointerConstants
  vbDefault=0
  vbArrow=1
  vbCrosshair=2
  vbIbeam=3
  vbIconPointer=4
  vbSizePointer=5
  vbSizeNESW=6
  vbSizeNS=7
  vbSizeNWSE=8
  vbSizeWE=9
  vbUpArrow=10
  vbHourglass=11
  vbNoDrop=12
  vbArrowHourglass=13
  vbArrowQuestion=14
  vbSizeAll=15
  vbCustom=99
End Enum

Enum DrawModeConstants
  vbBlackness=1
  vbNotMergePen=2
  vbMaskNotPen=3
  vbNotCopyPen=4
  vbMaskPenNot=5
  vbInvert=6
  vbXorPen=7
  vbNotMaskPen=8
  vbMaskPen=9
  vbNotXorPen=10
  vbNop=11
  vbMergeNotPen=12
  vbCopyPen=13
  vbMergePenNot=14
  vbMergePen=15
  vbWhiteness=16
End Enum

Enum StartUpPositionConstants
  vbStartUpManual=0
  vbStartUpOwner=1
  vbStartUpScreen=2
  vbStartUpWindowsDefault=3
End Enum

Enum DrawStyleConstants
  vbSolid=0
  vbDash=1
  vbDot=2
  vbDashDot=3
  vbDashDotDot=4
  vbInvisible=5
  vbInsideSolid=6
End Enum

Enum FillStyleConstants
  vbFSSolid=0
  vbFSTransparent=1
  vbHorizontalLine=2
  vbVerticalLine=3
  vbUpwardDiagonal=4
  vbDownwardDiagonal=5
  vbCross=6
  vbDiagonalCross=7
End Enum

Enum ScaleModeConstants
  vbUser=0
  vbTwips=1
  vbPoints=2
  vbPixels=3
  vbCharacters=4
  vbInches=5
  vbMillimeters=6
  vbCentimeters=7
  vbHimetric=8
  vbContainerPosition=9
  vbContainerSize=10
End Enum

Enum OLEContainerConstants
  vbOLELinked=0
  vbOLEEmbedded=1
  vbOLENone=3
  vbOLEEither=2
  vbOLEAutomatic=0
  vbOLEFrozen=1
  vbOLEManual=2
  vbOLEActivateManual=0
  vbOLEActivateGetFocus=1
  vbOLEActivateDoubleclick=2
  vbOLEActivateAuto=3
  vbOLESizeClip=0
  vbOLESizeStretch=1
  vbOLESizeAutoSize=2
  vbOLESizeZoom=3
  vbOLEDisplayContent=0
  vbOLEDisplayIcon=1
  vbOLEChanged=0
  vbOLESaved=1
  vbOLEClosed=2
  vbOLERenamed=3
  vbOLEPrimary=0
  vbOLEShow=-1
  vbOLEOpen=-2
  vbOLEHide=-3
  vbOLEUIActivate=-4
  vbOLEInPlaceActivate=-5
  vbOLEDiscardUndoState=-6
  vbOLEFlagGrayed=1
  vbOLEFlagDisabled=2
  vbOLEFlagChecked=8
  vbOLEFlagSeparator=2048
  vbOLEMiscFlagMemStorage=1
  vbOLEMiscFlagDisableInPlace=2
End Enum

Enum MenuControlConstants
  vbPopupMenuLeftAlign=0
  vbPopupMenuCenterAlign=4
  vbPopupMenuRightAlign=8
  vbPopupMenuLeftButton=0
  vbPopupMenuRightButton=2
End Enum

Enum PrinterObjectConstants
  vbPRCMMonochrome=1
  vbPRCMColor=2
  vbPRDPSimplex=1
  vbPRDPHorizontal=2
  vbPRDPVertical=3
  vbPRORPortrait=1
  vbPRORLandscape=2
  vbPRPQDraft=-1
  vbPRPQLow=-2
  vbPRPQMedium=-3
  vbPRPQHigh=-4
  vbPRBNUpper=1
  vbPRBNLower=2
  vbPRBNMiddle=3
  vbPRBNManual=4
  vbPRBNEnvelope=5
  vbPRBNEnvManual=6
  vbPRBNAuto=7
  vbPRBNTractor=8
  vbPRBNSmallFmt=9
  vbPRBNLargeFmt=10
  vbPRBNLargeCapacity=11
  vbPRBNCassette=14
  vbPRPSLetter=1
  vbPRPSLetterSmall=2
  vbPRPSTabloid=3
  vbPRPSLedger=4
  vbPRPSLegal=5
  vbPRPSStatement=6
  vbPRPSExecutive=7
  vbPRPSA3=8
  vbPRPSA4=9
  vbPRPSA4Small=10
  vbPRPSA5=11
  vbPRPSB4=12
  vbPRPSB5=13
  vbPRPSFolio=14
  vbPRPSQuarto=15
  vbPRPS10x14=16
  vbPRPS11x17=17
  vbPRPSNote=18
  vbPRPSEnv9=19
  vbPRPSEnv10=20
  vbPRPSEnv11=21
  vbPRPSEnv12=22
  vbPRPSEnv14=23
  vbPRPSCSheet=24
  vbPRPSDSheet=25
  vbPRPSESheet=26
  vbPRPSEnvDL=27
  vbPRPSEnvC3=29
  vbPRPSEnvC4=30
  vbPRPSEnvC5=28
  vbPRPSEnvC6=31
  vbPRPSEnvC65=32
  vbPRPSEnvB4=33
  vbPRPSEnvB5=34
  vbPRPSEnvB6=35
  vbPRPSEnvItaly=36
  vbPRPSEnvMonarch=37
  vbPRPSEnvPersonal=38
  vbPRPSFanfoldUS=39
  vbPRPSFanfoldStdGerman=40
  vbPRPSFanfoldLglGerman=41
  vbPRPSUser=256
End Enum

Enum RasterOpConstants
  vbDstInvert=5570569
  vbMergeCopy=12583114
  vbMergePaint=12255782
  vbNotSrcCopy=3342344
  vbNotSrcErase=1114278
  vbSrcAnd=8913094
  vbSrcCopy=13369376
  vbSrcErase=4457256
  vbSrcInvert=6684742
  vbSrcPaint=15597702
  vbPatCopy=15728673
  vbPatPaint=16452105
  vbPatInvert=5898313
End Enum

Enum CheckBoxConstants
  vbUnchecked=0
  vbChecked=1
  vbGrayed=2
End Enum

Enum LoadResConstants
  vbResBitmap=0
  vbResIcon=1
  vbResCursor=2
End Enum

Enum ButtonConstants
  vbButtonStandard=0
  vbButtonGraphical=1
End Enum

Enum ListBoxConstants
  vbListBoxStandard=0
  vbListBoxCheckbox=1
End Enum

Enum ParentControlsType
  vbNoExtender=0
  vbExtender=1
End Enum

Enum LoadPictureSizeConstants
  vbLPSmall=0
  vbLPLarge=1
  vbLPSmallShell=2
  vbLPLargeShell=3
  vbLPCustom=4
End Enum

Enum LoadPictureColorConstants
  vbLPDefault=0
  vbLPMonochrome=1
  vbLPVGAColor=2
  vbLPColor=3
End Enum

Enum HitResultConstants
  vbHitResultOutside=0
  vbHitResultTransparent=1
  vbHitResultClose=2
  vbHitResultHit=3
End Enum

Enum LogModeConstants
  vbLogAuto=0
  vbLogOff=1
  vbLogToFile=2
  vbLogToNT=3
  vbLogOverwrite=16
  vbLogThreadID=32
End Enum

Enum DBConnectionOpenMode
  DBOpenFromFile=0
  DBCreateInMemory=1
  DBCreateNewFileDB=2
End Enum

Enum enmRetType
  retVoid=0
  retByte=1
  retInteger=2
  retLong=3
  retInt64=4
  retSingle=5
  retDouble=6
  retStruct=7
  retStructGCC=8
End Enum

Enum enmHashAlgorithm
  CALG_MD2=32769
  CALG_MD4=32770
  CALG_MD5=32771
  CALG_SHA1=32772
  CALG_SHA256=32780
  CALG_SHA384=32781
  CALG_SHA512=32782
End Enum

Enum enmCryptAlgo
  CALG_RC2=26114
  CALG_RC4=26625
  CALG_DES=26113
  CALG_3DES=26115
  CALG_3DES_112=26121
  CALG_AES_128=26126
  CALG_AES_192=26127
  CALG_AES_256=26128
End Enum

Enum enmAESStrength
  AES128=128
  AES192=192
  AES256=256
End Enum

Enum ConflictAlgorithms
  OnConflict_UseTableDefault=0
  OnConflict_ABORT=1
  OnConflict_IGNORE=2
  OnConflict_FAIL=3
  OnConflict_ROLLBACK=4
  OnConflict_REPLACE=5
End Enum

Enum FieldType
  SQLite_INTEGER=1
  SQLite_DOUBLE=2
  SQLite_TEXT=3
  SQLite_BLOB=4
  SQLite_NULL=5
  VB_DATE_AutoConverted=6
  VB_Boolean_AutoConverted=7
  VB_ShortDate_AutoConverted=8
  VB_Time_AutoConverted=9
End Enum

Enum ResetEnum
  ResetAll=0
  ResetDeletesOnly=1
  ResetInsertsOnly=2
  ResetUpdatesOnly=3
End Enum

Enum enmThreadPriority
  THREAD_PRIORITY_IDLE=-15
  THREAD_PRIORITY_LOWEST=-2
  THREAD_PRIORITY_BELOW_NORMAL=-1
  THREAD_PRIORITY_NORMAL=0
  THREAD_PRIORITY_ABOVE_NORMAL=1
  THREAD_PRIORITY_HIGHEST=2
  THREAD_PRIORITY_TIME_CRITICAL=15
End Enum

Enum StringCompareModeEnum
  BinaryCompare=0
  TextCompare=1
End Enum

Enum CmpFlags
  cmpNone=0
  cmpOrdinal=1073741824
  cmpStringSort=4096
  cmpIgnoreCase=1
  cmpIgnoreNonSpace=2
  cmpIgnoreSymbols=4
  cmpIgnoreKanaType=65536
  cmpIgnoreWidth=131072
  cmpLogical=-1
End Enum
 
Enum SortIDs
  SORT_DEFAULT=0
  SORT_GERMAN_PHONE_BOOK=1
  SORT_GEORGIAN_TRADITIONAL=0
  SORT_GEORGIAN_MODERN=1
  SORT_HUNGARIAN_DEFAULT=0
  SORT_HUNGARIAN_TECHNICAL=1
  SORT_JAPANESE_XJIS=0
  SORT_JAPANESE_UNICODE=1
  SORT_KOREAN_KSC=0
  SORT_KOREAN_UNICODE=1
  SORT_CHINESE_BIG5=0
  SORT_CHINESE_PRCP=0
  SORT_CHINESE_UNICODE=1
  SORT_CHINESE_PRC=2
  SORT_CHINESE_BOPOMOFO=3
End Enum

Enum LangIDs
  Afrikaans_South_Africa=1078
  Albanian_Albania=1052
  Amharic_Ethiopia=1118
  Arabic_Saudi_Arabia=1025
  Arabic_Algeria=5121
  Arabic_Bahrain=15361
  Arabic_Egypt=3073
  Arabic_Iraq=2049
  Arabic_Jordan=11265
  Arabic_Kuwait=13313
  Arabic_Lebanon=12289
  Arabic_Libya=4097
  Arabic_Morocco=6145
  Arabic_Oman=8193
  Arabic_Qatar=16385
  Arabic_Syria=10241
  Arabic_Tunisia=7169
  Arabic_UAE=14337
  Arabic_Yemen=9217
  Armenian_Armenia=1067
  Assamese=1101
  Azeri_Cyrillic=2092
  Azeri_Latin=1068
  Basque=1069
  Belarusian=1059
  Bengali_India=1093
  Bengali_Bangladesh=2117
  Bosnian_Bosnia_Herzegovina=5146
  Bulgarian=1026
  Burmese=1109
  Catalan=1027
  Cherokee_United_States=1116
  Chinese_Peoples_Republic_of_China=2052
  Chinese_Singapore=4100
  Chinese_Taiwan=1028
  Chinese_Hong_Kong_SAR=3076
  Chinese_Macao_SAR=5124
  Croatian=1050
  Croatian_Bosnia_Herzegovina=4122
  Czech=1029
  Danish=1030
  Divehi=1125
  Dutch_Netherlands=1043
  Dutch_Belgium=2067
  Edo=1126
  English_United_States=1033
  English_United_Kingdom=2057
  English_Australia=3081
  English_Belize=10249
  English_Canada=4105
  English_Caribbean=9225
  English_Hong_Kong_SAR=15369
  English_India=16393
  English_Indonesia=14345
  English_Ireland=6153
  English_Jamaica=8201
  English_Malaysia=17417
  English_New_Zealand=5129
  English_Philippines=13321
  English_Singapore=18441
  English_South_Africa=7177
  English_Trinidad=11273
  English_Zimbabwe=12297
  Estonian=1061
  Faroese=1080
  Farsi=1065
  Filipino=1124
  Finnish=1035
  French_France=1036
  French_Belgium=2060
  French_Cameroon=11276
  French_Canada=3084
  French_Democratic_Rep_of_Congo=9228
  French_Cote_d=9229
  French_Haiti=15372
  French_Luxembourg=5132
  French_Mali=13324
  French_Monaco=6156
  French_Morocco=14348
  French_North_Africa=58380
  French_Reunion=8204
  French_Senegal=10252
  French_Switzerland=4108
  French_West_Indies=7180
  Frisian_Netherlands=1122
  Fulfulde_Nigeria=1127
  FYRO_Macedonian=1071
  Gaelic_Ireland=2108
  Gaelic_Scotland=1084
  Galician=1110
  Georgian=1079
  German_Germany=1031
  German_Austria=3079
  German_Liechtenstein=5127
  German_Luxembourg=4103
  German_Switzerland=2055
  Greek=1032
  Guarani_Paraguay=1140
  Gujarati=1095
  Hausa_Nigeria=1128
  Hawaiian_United_States=1141
  Hebrew=1037
  Hindi=1081
  Hungarian=1038
  Ibibio_Nigeria=1129
  Icelandic=1039
  Igbo_Nigeria=1136
  Indonesian=1057
  Inuktitut=1117
  Italian_Italy=1040
  Italian_Switzerland=2064
  Japanese=1041
  Kannada=1099
  Kanuri_Nigeria=1137
  Kashmiri=2144
  Kashmiri_Arabic=1120
  Kazakh=1087
  Khmer=1107
  Konkani=1111
  Korean=1042
  Kyrgyz_Cyrillic=1088
  Lao=1108
  Latin=1142
  Latvian=1062
  Lithuanian=1063
  Malay_Malaysia=1086
  Malay_Brunei_Darussalam=2110
  Malayalam=1100
  Maltese=1082
  Manipuri=1112
  Maori_New_Zealand=1153
  Marathi=1102
  Mongolian_Cyrillic=1104
  Mongolian_Mongolian=2128
  Nepali=1121
  Nepali_India=2145
  Norwegian_Bokmal=1044
  Norwegian_Nynorsk=2068
  Oriya=1096
  Oromo=1138
  Papiamentu=1145
  Pashto=1123
  Polish=1045
  Portuguese_Brazil=1046
  Portuguese_Portugal=2070
  Punjabi=1094
  Punjabi_Pakistan=2118
  Quecha_Bolivia=1131
  Quecha_Ecuador=2155
  Quecha_Peru=3179
  Rhaeto_Romanic=1047
  Romanian=1048
  Romanian_Moldava=2072
  Russian=1049
  Russian_Moldava=2073
  Sami_Lappish=1083
  Sanskrit=1103
  Sepedi=1132
  Serbian_Cyrillic=3098
  Serbian_Latin=2074
  Sindhi_India=1113
  Sindhi_Pakistan=2137
  Sinhalese_Sri_Lanka=1115
  Slovak=1051
  Slovenian=1060
  Somali=1143
  Sorbian=1070
  Spanish_Spain_Modern_Sort=3082
  Spanish_Spain_Traditional_Sort=1034
  Spanish_Argentina=11274
  Spanish_Bolivia=16394
  Spanish_Chile=13322
  Spanish_Colombia=9226
  Spanish_Costa_Rica=5130
  Spanish_Dominican_Republic=7178
  Spanish_Ecuador=12298
  Spanish_El_Salvador=17418
  Spanish_Guatemala=4106
  Spanish_Honduras=18442
  Spanish_Latin_America=58378
  Spanish_Mexico=2058
  Spanish_Nicaragua=19466
  Spanish_Panama=6154
  Spanish_Paraguay=15370
  Spanish_Peru=10250
  Spanish_Puerto_Rico=20490
  Spanish_United_States=21514
  Spanish_Uruguay=14346
  Spanish_Venezuela=8202
  Sutu=1072
  Swahili=1089
  Swedish=1053
  Swedish_Finland=2077
  Syriac=1114
  Tajik=1064
  Tamazight_Arabic=1119
  Tamazight_Latin=2143
  Tamil=1097
  Tatar=1092
  Telugu=1098
  Thai=1054
  Tibetan_Bhutan=2129
  Tibetan_Peoples_Republic_of_China=1105
  Tigrigna_Eritrea=2163
  Tigrigna_Ethiopia=1139
  Tsonga=1073
  Tswana=1074
  Turkish=1055
  Turkmen=1090
  Uighur_China=1152
  Ukrainian=1058
  Urdu=1056
  Urdu_India=2080
  Uzbek_Cyrillic=2115
  Uzbek_Latin=1091
  Venda=1075
  Vietnamese=1066
  Welsh=1106
  Xhosa=1076
  Yi=1144
  Yiddish=1085
  Yoruba=1130
  Zulu=1077
  HID_Human_Interface_Device=1279
End Enum

Enum ClipPath
  RGN_AND=1
  RGN_OR=2
  RGN_XOR=3
  RGN_DIFF=4
  RGN_COPY=5
End Enum

Enum DocType
  sWriter=0
  sCalc=1
  sImpress=2
  sDraw=3
  sMath=4
End Enum

Enum DocZoomType
  OPTIMAL=0
  PAGE_WIDTH=1
  ENTIRE_PAGE=2
  BY_VALUE=3
  PAGE_WIDTH_EXACT=4
End Enum

Enum RPCCompressionMode
  RPCCompressNone=0
  RPCCompressFastLZ=1
  RPCCompressZLib=2
End Enum

Enum IniKeys
  Ini_ServerIP=0
  Ini_Port=1
  Ini_ThreadPoolSize=2
  Ini_ForceAuthentication=3
  Ini_AllowedGroup=4
  Ini_RPCServerAdminPassWordSHA1=5
  Ini_RPCDllsFolder=6
End Enum

Enum MSCodePages
  CP_ACP=0
  CP_OEMCP=1
  CP_MACCP=2
  CP_THREAD_ACP=3
  CP_SYMBOL=42
  CP_AWIN=101
  CP_709=102
  CP_720=103
  CP_A708=104
  CP_A449=105
  CP_TARB=106
  CP_NAE=107
  CP_V4=108
  CP_MA2=109
  CP_I864=110
  CP_A437=111
  CP_AMAC=112
  CP_HWIN=201
  CP_862I=202
  CP_7BIT=203
  CP_ISO=204
  CP_H437=205
  CP_HMAC=206
  CP_OEM_437=437
  CP_ARABICDOS=708
  CP_DOS720=720
  CP_DOS737=737
  CP_DOS775=775
  CP_IBM850=850
  CP_IBM852=852
  CP_DOS861=861
  CP_DOS862=862
  CP_IBM866=866
  CP_DOS869=869
  CP_THAI=874
  CP_EBCDIC=875
  CP_JAPAN=932
  CP_CHINA=936
  CP_KOREA=949
  CP_TAIWAN=950
  CP_EASTEUROPE=1250
  CP_RUSSIAN=1251
  CP_WESTEUROPE=1252
  CP_GREEK=1253
  CP_TURKISH=1254
  CP_HEBREW=1255
  CP_ARABIC=1256
  CP_BALTIC=1257
  CP_VIETNAMESE=1258
  CP_JOHAB=1361
  CP_MAC_ROMAN=10000
  CP_MAC_JAPAN=10001
  CP_MAC_TRADITIONAL_CHINESE=10002
  CP_MAC_KOREAN=10003
  CP_MAC_ARABIC=10004
  CP_MAC_HEBREW=10005
  CP_MAC_GREEK=10006
  CP_MAC_CYRILLIC=10007
  CP_MAC_SIMPLIFIED_CHINESE=10008
  CP_MAC_ROMANIA=10010
  CP_MAC_UKRAINE=10017
  CP_MAC_THAI=10021
  CP_MAC_LATIN2=10029
  CP_MAC_ICELANDIC=10079
  CP_MAC_TURKISH=10081
  CP_MAC_CROATIA=10082
  CP_CHINESECNS=20000
  CP_CHINESEETEN=20002
  CP_IA5WEST=20105
  CP_IA5GERMAN=20106
  CP_IA5SWEDISH=20107
  CP_IA5NORWEGIAN=20108
  CP_ASCII=20127
  CP_RUSSIANKOI8R=20866
  CP_RUSSIANKOI8U=21866
  CP_ISOLATIN1=28591
  CP_ISOEASTEUROPE=28592
  CP_ISOTURKISH=28593
  CP_ISOBALTIC=28594
  CP_ISORUSSIAN=28595
  CP_ISOARABIC=28596
  CP_ISOGREEK=28597
  CP_ISOHEBREW=28598
  CP_ISOTURKISH2=28599
  CP_ISOLATIN9=28605
  CP_HEBREWLOG=38598
  CP_USER=50000
  CP_AUTOALL=50001
  CP_JAPANNHK=50220
  CP_JAPANESC=50221
  CP_JAPANISO=50222
  CP_KOREAISO=50225
  CP_TAIWANISO=50227
  CP_CHINAISO=50229
  CP_AUTO_JAPAN_EXTENDED=50930
  CP_AUTO_US_CANADA_JAPAN=50931
  CP_AUTO_JAPAN=50932
  CP_AUTO_KOREAN_EXTENDED=50933
  CP_AUTO_CHINA_SIMPLIFIED_EXTENDED=50935
  CP_AUTO_CHINA=50936
  CP_AUTO_US_CANADA_CHINA=50937
  CP_AUTO_LATIN_JAPANESE=50939
  CP_AUTO_KOREAN=50949
  CP_AUTO_TAIWAN=50950
  CP_AUTO_RUSSIAN=51251
  CP_AUTO_GREEK=51253
  CP_AUTO_ARABIC=51256
  CP_JAPANEUC=51932
  CP_CHINAEUC=51936
  CP_KOREAEUC=51949
  CP_TAIWANEUC=51950
  CP_CHINAHZ=52936
  CP_GB18030=54936
  CP_ISCII_DEVANAGARI=57002
  CP_ISCII_BENGALI=57003
  CP_ISCII_TAMIL=57004
  CP_ISCII_TELUGU=57005
  CP_ISCII_ASSAMESE=57006
  CP_ISCII_ORIYA=57007
  CP_ISCII_KANNADA=57008
  CP_ISCII_MALAYALAM=57009
  CP_ISCII_GUJARATI=57010
  CP_ISCII_PUNJABI=57011
  CP_UTF7=65000
  CP_UTF8=65001
End Enum

Enum enmTJSubSampling
  TJ_444=0
  TJ_422=1
  TJ_420=2
  TJ_GRAYSCALE=3
End Enum

Enum WidgetDropEffects
  DROPEFFECT_NONE=0
  DROPEFFECT_COPY=1
  DROPEFFECT_MOVE=2
  DROPEFFECT_LINK=4
  DROPEFFECT_SCROLL=-2147483648
End Enum

Enum ImageKeyRenderBehaviour
  ImgKeyRenderNone=0
  ImgKeyRenderLeft=1
  ImgKeyRenderRight=2
  ImgKeyRenderCentered=3
  ImgKeyRenderTopCentered=4
  ImgKeyRenderStretched=5
  ImgKeyRenderRepeat=6
End Enum

Enum WindowTouchFlags
  TWF_FINETOUCH=1
  TWF_WANTPALM=2
End Enum

Enum UniRangeEnum
  sidDefault=0
  sidMerge=1
  sidAsciiSym=2
  sidAsciiLatin=3
  sidLatin=4
  sidGreek=5
  sidCyrillic=6
  sidArmenian=7
  sidHebrew=8
  sidArabic=9
  sidDevanagari=10
  sidBengali=11
  sidGurmukhi=12
  sidGujarati=13
  sidOriya=14
  sidTamil=15
  sidTelugu=16
  sidKannada=17
  sidMalayalam=18
  sidThai=19
  sidLao=20
  sidTibetan=21
  sidGeorgian=22
  sidHangul=23
  sidKana=24
  sidBopomofo=25
  sidHan=26
  sidEthiopic=27
  sidCanSyllabic=28
  sidCherokee=29
  sidYi=30
  sidBraille=31
  sidRunic=32
  sidOgham=33
  sidSinhala=34
  sidSyriac=35
  sidBurmese=36
  sidKhmer=37
  sidThaana=38
  sidMongolian=39
  sidLim=40
  sidFEFirst=23
  sidFELast=26
End Enum

Enum DTExtFlagsEnm
  dtNormal=0
  dtHasAccelerators=1
  dtEndEllipsis=2
End Enum

Enum GaussianEffectEnm
  gpNormal=0
  gpLess=1
  gpMore=2
End Enum

Enum SplineInterpolationEnm
  splNone=0
  splSmallest=1
  splSmall=2
  splNormal=3
  splHeavy=4
End Enum

Enum CornerMaskEnm
  cmNone=0
  cmTopLeft=1
  cmTopRight=2
  cmBottomLeft=4
  cmBottomRight=8
  cmTop=3
  cmBottom=12
  cmLeft=5
  cmRight=10
  cmAll=15
End Enum

Enum SurfaceCreateEnum
  ImageSurface=0
  SVGSurface=1
  PDFSurface=2
  PSSurface=3
  DXSurface32Bit=4
End Enum

Enum cairo_status_enm
  CAIRO_STATUS_SUCCESS=0
  CAIRO_STATUS_NO_MEMORY=1
  CAIRO_STATUS_INVALID_RESTORE=2
  CAIRO_STATUS_INVALID_POP_GROUP=3
  CAIRO_STATUS_NO_CURRENT_POINT=4
  CAIRO_STATUS_INVALID_MATRIX=5
  CAIRO_STATUS_INVALID_STATUS=6
  CAIRO_STATUS_NULL_POINTER=7
  CAIRO_STATUS_INVALID_STRING=8
  CAIRO_STATUS_INVALID_PATH_DATA=9
  CAIRO_STATUS_READ_ERROR=10
  CAIRO_STATUS_WRITE_ERROR=11
  CAIRO_STATUS_SURFACE_FINISHED=12
  CAIRO_STATUS_SURFACE_TYPE_MISMATCH=13
  CAIRO_STATUS_PATTERN_TYPE_MISMATCH=14
  CAIRO_STATUS_INVALID_CONTENT=15
  CAIRO_STATUS_INVALID_FORMAT=16
  CAIRO_STATUS_INVALID_VISUAL=17
  CAIRO_STATUS_FILE_NOT_FOUND=18
  CAIRO_STATUS_INVALID_DASH=19
  CAIRO_STATUS_INVALID_DSC_COMMENT=20
  CAIRO_STATUS_INVALID_INDEX=21
  CAIRO_STATUS_CLIP_NOT_REPRESENTABLE=22
  CAIRO_STATUS_TEMP_FILE_ERROR=23
  CAIRO_STATUS_INVALID_STRIDE=24
  CAIRO_STATUS_FONT_TYPE_MISMATCH=25
  CAIRO_STATUS_USER_FONT_IMMUTABLE=26
  CAIRO_STATUS_USER_FONT_ERROR=27
  CAIRO_STATUS_NEGATIVE_COUNT=28
  CAIRO_STATUS_INVALID_CLUSTERS=29
  CAIRO_STATUS_INVALID_SLANT=30
  CAIRO_STATUS_INVALID_WEIGHT=31
  CAIRO_STATUS_INVALID_SIZE=32
  CAIRO_STATUS_USER_FONT_NOT_IMPLEMENTED=33
  CAIRO_STATUS_DEVICE_TYPE_MISMATCH=34
  CAIRO_STATUS_DEVICE_ERROR=35
  CAIRO_STATUS_LAST_STATUS=36
End Enum

Enum cairo_text_cluster_flags_enm
  CAIRO_TEXT_CLUSTER_FLAG_FORWARD=0
  CAIRO_TEXT_CLUSTER_FLAG_BACKWARD=1
End Enum

Enum cairo_content_enm
  CAIRO_CONTENT_COLOR=4096
  CAIRO_CONTENT_ALPHA=8192
  CAIRO_CONTENT_COLOR_ALPHA=12288
End Enum

Enum cairo_operator_enm
  CAIRO_OPERATOR_CLEAR=0
  CAIRO_OPERATOR_SOURCE=1
  CAIRO_OPERATOR_OVER=2
  CAIRO_OPERATOR_IN=3
  CAIRO_OPERATOR_OUT=4
  CAIRO_OPERATOR_ATOP=5
  CAIRO_OPERATOR_DEST=6
  CAIRO_OPERATOR_DEST_OVER=7
  CAIRO_OPERATOR_DEST_IN=8
  CAIRO_OPERATOR_DEST_OUT=9
  CAIRO_OPERATOR_DEST_ATOP=10
  CAIRO_OPERATOR_XOR=11
  CAIRO_OPERATOR_ADD=12
  CAIRO_OPERATOR_SATURATE=13
  CAIRO_OPERATOR_MULTIPLY=14
  CAIRO_OPERATOR_SCREEN=15
  CAIRO_OPERATOR_OVERLAY=16
  CAIRO_OPERATOR_DARKEN=17
  CAIRO_OPERATOR_LIGHTEN=18
  CAIRO_OPERATOR_COLOR_DODGE=19
  CAIRO_OPERATOR_COLOR_BURN=20
  CAIRO_OPERATOR_HARD_LIGHT=21
  CAIRO_OPERATOR_SOFT_LIGHT=22
  CAIRO_OPERATOR_DIFFERENCE=23
  CAIRO_OPERATOR_EXCLUSION=24
  CAIRO_OPERATOR_HSL_HUE=25
  CAIRO_OPERATOR_HSL_SATURATION=26
  CAIRO_OPERATOR_HSL_COLOR=27
  CAIRO_OPERATOR_HSL_LUMINOSITY=28
End Enum

Enum cairo_antialias_enm
  CAIRO_ANTIALIAS_DEFAULT=0
  CAIRO_ANTIALIAS_NONE=1
  CAIRO_ANTIALIAS_GRAY=2
  CAIRO_ANTIALIAS_SUBPIXEL=3
End Enum

Enum cairo_fill_rule_enm
  CAIRO_FILL_RULE_WINDING=0
  CAIRO_FILL_RULE_EVEN_ODD=1
End Enum

Enum cairo_line_cap_enm
  CAIRO_LINE_CAP_BUTT=0
  CAIRO_LINE_CAP_ROUND=1
  CAIRO_LINE_CAP_SQUARE=2
End Enum

Enum cairo_line_join_enm
  CAIRO_LINE_JOIN_MITER=0
  CAIRO_LINE_JOIN_ROUND=1
  CAIRO_LINE_JOIN_BEVEL=2
End Enum

Enum cairo_font_slant_enm
  CAIRO_FONT_SLANT_NORMAL=0
  CAIRO_FONT_SLANT_ITALIC=1
  CAIRO_FONT_SLANT_OBLIQUE=2
End Enum

Enum cairo_font_weight_enm
  CAIRO_FONT_WEIGHT_NORMAL=0
  CAIRO_FONT_WEIGHT_BOLD=1
End Enum

Enum cairo_subpixel_order_enm
  CAIRO_SUBPIXEL_ORDER_DEFAULT=0
  CAIRO_SUBPIXEL_ORDER_RGB=1
  CAIRO_SUBPIXEL_ORDER_BGR=2
  CAIRO_SUBPIXEL_ORDER_VRGB=3
  CAIRO_SUBPIXEL_ORDER_VBGR=4
End Enum

Enum cairo_hint_style_enm
  CAIRO_HINT_STYLE_DEFAULT=0
  CAIRO_HINT_STYLE_NONE=1
  CAIRO_HINT_STYLE_SLIGHT=2
  CAIRO_HINT_STYLE_MEDIUM=3
  CAIRO_HINT_STYLE_FULL=4
End Enum

Enum cairo_hint_metrics_enm
  CAIRO_HINT_METRICS_DEFAULT=0
  CAIRO_HINT_METRICS_OFF=1
  CAIRO_HINT_METRICS_ON=2
End Enum

Enum cairo_font_type_enm
  CAIRO_FONT_TYPE_TOY=0
  CAIRO_FONT_TYPE_FT=1
  CAIRO_FONT_TYPE_WIN32=2
  CAIRO_FONT_TYPE_ATSUI=3
End Enum

Enum cairo_path_data_type_enm
  CAIRO_PATH_MOVE_TO=0
  CAIRO_PATH_LINE_TO=1
  CAIRO_PATH_CURVE_TO=2
  CAIRO_PATH_CLOSE_PATH=3
End Enum

Enum cairo_surface_type_enm
  CAIRO_SURFACE_TYPE_IMAGE=0
  CAIRO_SURFACE_TYPE_PDF=1
  CAIRO_SURFACE_TYPE_PS=2
  CAIRO_SURFACE_TYPE_XLIB=3
  CAIRO_SURFACE_TYPE_XCB=4
  CAIRO_SURFACE_TYPE_GLITZ=5
  CAIRO_SURFACE_TYPE_QUARTZ=6
  CAIRO_SURFACE_TYPE_WIN32=7
  CAIRO_SURFACE_TYPE_BEOS=8
  CAIRO_SURFACE_TYPE_DIRECTFB=9
  CAIRO_SURFACE_TYPE_SVG=10
End Enum

Enum cairo_format_enm
  CAIRO_FORMAT_ARGB32=0
  CAIRO_FORMAT_RGB24=1
  CAIRO_FORMAT_A8=2
  CAIRO_FORMAT_A1=3
  CAIRO_FORMAT_RGB16_565=4
End Enum

Enum cairo_pattern_type_enm
  CAIRO_PATTERN_TYPE_SOLID=0
  CAIRO_PATTERN_TYPE_SURFACE=1
  CAIRO_PATTERN_TYPE_LINEAR=2
  CAIRO_PATTERN_TYPE_RADIAL=3
End Enum

Enum cairo_extend_enm
  CAIRO_EXTEND_NONE=0
  CAIRO_EXTEND_REPEAT=1
  CAIRO_EXTEND_REFLECT=2
  CAIRO_EXTEND_PAD=3
End Enum

Enum cairo_filter_enm
  CAIRO_FILTER_FAST=0
  CAIRO_FILTER_GOOD=1
  CAIRO_FILTER_BEST=2
  CAIRO_FILTER_NEAREST=3
  CAIRO_FILTER_BILINEAR=4
  CAIRO_FILTER_GAUSSIAN=5
End Enum

Enum enmConstraintType
  cpDampedRotarySpring=0
  cpDampedSpring=1
  cpGearJoint=2
  cpGrooveJoint=3
  cpPinJoint=4
  cpPivotJoint=5
  cpRatchetJoint=6
  cpRotaryLimitJoint=7
  cpSimpleMotor=8
  cpSlideJoint=9
End Enum

Enum enmShapeType
  cpBoxShape=0
  cpCircleShape=1
  cpPolyShape=2
  cpSegmentShape=3
End Enum

Enum enmLayerType
  GRABABLE_MASK_BIT=-2147483648
  NOT_GRABABLE_MASK=2147483647
End Enum

Enum enmThemeColor
  thmBackColor=0
  thmForeColor=1
  thmBorderColor=2
  thmHoverColor=3
  thmFocusColor=4
  thmSelectionColor=5
  thmDisabledColor=6
End Enum

Enum enmThemeDrawingType
  thmTypeButtonFace=0
  thmTypeToolButtonFace=1
  thmTypeMenuButtonFace=2
  thmTypeToolBarFace=3
  thmTypeStatusBarFace=4
  thmTypeProgressFace=5
  thmTypeHeaderFace=6
  thmTypeListSelection=7
  thmTypeBorder=8
  thmTypeBorderShadow=9
  thmTypeSliderTrack=10
  thmTypeCheckBox=11
  thmTypeOptionBox=12
  thmTypeShine=13
  thmTypeArrow=14
  thmTypeScrollBarGripperMarks=15
  thmTypeToolBarGrippersMarks=16
  thmTypeResizerGrippersMarks=17
  thmTypeDottedRectangle=18
  thmTypeSeparatorLine=19
  thmTypeBottomRightEdge=20
End Enum

Enum enmThemeDrawingState
  thmStatePressed=1
  thmStateHovered=2
  thmStateChecked=4
  thmStateCheckUndefined=8
  thmStateSolidColor=16
  thmStateShadowSmall=32
  thmStateShadowMedium=64
  thmStateShadowLarge=128
End Enum

Enum enmThemeDrawingDirection
  thmDirectionDown=0
  thmDirectionUp=1
  thmDirectionRight=2
  thmDirectionLeft=3
  thmDirectionNE=4
  thmDirectionSE=5
  thmDirectionSW=6
  thmDirectionNW=7
  thmDirectionHorz=8
  thmDirectionVert=9
End Enum

Enum WebNavigationType
  WebNavigationTypeLinkClicked=0
  WebNavigationTypeFormSubmitted=1
  WebNavigationTypeBackForward=2
  WebNavigationTypeReload=3
  WebNavigationTypeFormResubmitted=4
  WebNavigationTypeOther=5
End Enum

Enum WebActionMouseButton
  WebActionNoMouse=-1
  WebActionMouseLeft=0
  WebActionMouseMid=1
  WebActionMouseRight=2
End Enum

Enum WebActionKeyMask
  WebActionShiftMask=4
  WebActionCtrlMask=8
  WebActionAltMask=32
End Enum

Enum NavigationPolicyDecision
  Policy_Use=0
  Policy_Download=1
  Policy_Ignore=2
End Enum

Enum NavigationCachePolicy
  CacheUseProtocolPolicy=0
  CacheReloadIgnoreData=1
  CacheReturnDataElseLoad=2
  CacheReturnDataDontLoad=3
End Enum

Enum WebKitDropEffects
  WebDragDestinationActionAny=-1
  WebDragDestinationActionNone=0
  WebDragDestinationActionDHTML=1
  WebDragDestinationActionEdit=2
  WebDragDestinationActionLoad=4
End Enum

Enum CopyFileFlags
  COPY_FILE_FAIL_IF_EXISTS=1
  COPY_FILE_RESTARTABLE=2
  COPY_FILE_OPEN_SOURCE_FOR_WRITE=4
  COPY_FILE_ALLOW_DECRYPTED_DESTINATION=8
  COPY_FILE_COPY_SYMLINK=2048
  COPY_FILE_NO_BUFFERING=4096
End Enum

Enum IconSize_enm
  IconSmall=1
  IconLarge=0
  IconShellSize=4
End Enum

Enum IconState_enm
  IconNormal=0
  IconOpened=2
  IconLinked=32768
  IconSelected=65536
End Enum

Enum DriveTypes
  DRIVE_PARTITION=1
  DRIVE_REMOVABLE=2
  DRIVE_FIXED=3
  DRIVE_REMOTE=4
  DRIVE_CDROM=5
  DRIVE_RAMDISK=6
End Enum

Enum OFNFlags
  OFN_ALLOWMULTISELECT=512
  OFN_CREATEPROMPT=8192
  OFN_EXPLORER=524288
  OFN_EXTENSIONDIFFERENT=1024
  OFN_FILEMUSTEXIST=4096
  OFN_HIDEREADONLY=4
  OFN_LONGNAMES=2097152
  OFN_NOCHANGEDIR=8
  OFN_NODEREFERENCELINKS=1048576
  OFN_NOLONGNAMES=262144
  OFN_NONETWORKBUTTON=131072
  OFN_NOREADONLYRETURN=32768
  OFN_NOVALIDATE=256
  OFN_OVERWRITEPROMPT=2
  OFN_PATHMUSTEXIST=2048
  OFN_READONLY=1
  OFN_SHAREAWARE=16384
  OFN_SHOWHELP=16
End Enum

Enum FILEOP_FLAGS
  FOF_NOCONFIRMATION=16
  FOF_NOCONFIRMMKDIR=512
  FOF_NOERRORUI=1024
  FOF_NOCOPYSECURITYATTRIBS=2048
  FOF_NORECURSION=4096
  FOF_NO_CONNECTED_ELEMENTS=8192
  FOF_WANTNUKEWARNING=16384
  FOF_NORECURSEREPARSE=32768
End Enum

Enum enmCSIDL
  CSIDL_ADMINTOOLS=48
  CSIDL_ALTSTARTUP=29
  CSIDL_APPDATA=26
  CSIDL_BITBUCKET=10
  CSIDL_CDBURN_AREA=59
  CSIDL_COMMON_ADMINTOOLS=47
  CSIDL_COMMON_ALTSTARTUP=30
  CSIDL_COMMON_APPDATA=35
  CSIDL_COMMON_DESKTOPDIRECTORY=25
  CSIDL_COMMON_DOCUMENTS=46
  CSIDL_COMMON_FAVORITES=31
  CSIDL_COMMON_MUSIC=53
  CSIDL_COMMON_OEM_LINKS=58
  CSIDL_COMMON_PICTURES=54
  CSIDL_COMMON_PROGRAMS=23
  CSIDL_COMMON_STARTMENU=22
  CSIDL_COMMON_STARTUP=24
  CSIDL_COMMON_TEMPLATES=45
  CSIDL_COMMON_VIDEO=55
  CSIDL_COMPUTERSNEARME=61
  CSIDL_CONNECTIONS=49
  CSIDL_CONTROLS=3
  CSIDL_COOKIES=33
  CSIDL_DESKTOP=0
  CSIDL_DESKTOPDIRECTORY=16
  CSIDL_DRIVES=17
  CSIDL_FAVORITES=6
  CSIDL_FLAG_CREATE=32768
  CSIDL_FLAG_DONT_VERIFY=16384
  CSIDL_FLAG_MASK=65280
  CSIDL_FLAG_NO_ALIAS=4096
  CSIDL_FLAG_PER_USER_INIT=2048
  CSIDL_FONTS=20
  CSIDL_HISTORY=34
  CSIDL_INTERNET=1
  CSIDL_INTERNET_CACHE=32
  CSIDL_LOCAL_APPDATA=28
  CSIDL_MYDOCUMENTS=12
  CSIDL_MYMUSIC=13
  CSIDL_MYPICTURES=39
  CSIDL_MYVIDEO=14
  CSIDL_NETHOOD=19
  CSIDL_NETWORK=18
  CSIDL_PERSONAL=5
  CSIDL_PRINTERS=4
  CSIDL_PRINTHOOD=27
  CSIDL_PROFILE=40
  CSIDL_PROGRAM_FILES=38
  CSIDL_PROGRAM_FILES_COMMON=43
  CSIDL_PROGRAM_FILES_COMMONX86=44
  CSIDL_PROGRAM_FILESX86=42
  CSIDL_PROGRAMS=2
  CSIDL_RECENT=8
  CSIDL_RESOURCES=56
  CSIDL_RESOURCES_LOCALIZED=57
  CSIDL_SENDTO=9
  CSIDL_STARTMENU=11
  CSIDL_STARTUP=7
  CSIDL_SYSTEM=37
  CSIDL_SYSTEMX86=41
  CSIDL_TEMPLATES=21
  CSIDL_WINDOWS=36
End Enum

Enum BIFlagsConstants
  BIF_RETURNONLYFSDIRS=1
  BIF_DONTGOBELOWDOMAIN=2
  BIF_STATUSTEXT=4
  BIF_RETURNFSANCESTORS=8
  BIF_EDITBOX=16
  BIF_VALIDATE=32
  BIF_NEWDIALOGSTYLE=64
  BIF_USENEWUI=80
  BIF_BROWSEINCLUDEURLS=128
  BIF_UAHINT=256
  BIF_NONEWFOLDERBUTTON=512
  BIF_NOTRANSLATETARGETS=1024
  BIF_BROWSEFORCOMPUTER=4096
  BIF_BROWSEFORPRINTER=8192
  BIF_BROWSEINCLUDEFILES=16384
  BIF_SHAREABLE=32768
  BIF_BROWSEFILEJUNCTIONS=65536
End Enum

Enum DirListSortMode
  dlSortByExtensionLogically=-3
  dlSortByDisplayNameLogically=-2
  dlSortByNameLogically=-1
  dlSortNone=0
  dlSortByName=1
  dlSortByDisplayName=2
  dlSortByExtension=3
  dlSortBySize=4
  dlSortByCreationTime=5
  dlSortByLastAccessTime=6
  dlSortByLastWriteTime=7
End Enum

Enum EFILE_ATTRIBUTES
  FA_READONLY=1
  FA_HIDDEN=2
  FA_SYSTEM=4
  FA_DIRECTORY=16
  FA_ARCHIVE=32
  FA_DEVICE=64
  FA_NORMAL=128
  FA_TEMPORARY=256
  FA_SPARSE_FILE=512
  FA_REPARSE_POINT=1024
  FA_COMPRESSED=2048
  FA_OFFLINE=4096
  FA_NOT_CONTENT_INDEXED=8192
  FA_ENCRYPTED=16384
End Enum

Enum FILE_NOTIFY_CHANGE
  FNC_FILE_NAME=1
  FNC_DIR_NAME=2
  FNC_ATTRIBUTES=4
  FNC_SIZE=8
  FNC_LAST_WRITE=16
  FNC_LAST_ACCESS=32
  FNC_CREATION=64
  FNC_SECURITY=256
  FNC_WATCHALLCHANGES=383
End Enum

Enum FILE_ACTION
  FILE_ACTION_ADDED=1
  FILE_ACTION_REMOVED=2
  FILE_ACTION_MODIFIED=3
  FILE_ACTION_RENAMED_OLD_NAME=4
  FILE_ACTION_RENAMED_NEW_NAME=5
End Enum

Enum SCRIPT_JUSTIFY
  SCRIPT_JUSTIFY_NONE=0
  SCRIPT_JUSTIFY_ARABIC_BLANK=1
  SCRIPT_JUSTIFY_CHARACTER=2
  SCRIPT_JUSTIFY_RESERVED1=3
  SCRIPT_JUSTIFY_BLANK=4
  SCRIPT_JUSTIFY_RESERVED2=5
  SCRIPT_JUSTIFY_RESERVED3=6
  SCRIPT_JUSTIFY_ARABIC_NORMAL=7
  SCRIPT_JUSTIFY_ARABIC_KASHIDA=8
  SCRIPT_JUSTIFY_ARABIC_ALEF=9
  SCRIPT_JUSTIFY_ARABIC_HA=10
  SCRIPT_JUSTIFY_ARABIC_RA=11
  SCRIPT_JUSTIFY_ARABIC_BA=12
  SCRIPT_JUSTIFY_ARABIC_BARA=13
  SCRIPT_JUSTIFY_ARABIC_SEEN=14
  SCRIPT_JUSTIFY_RESERVED4=15
End Enum

Enum TBOpMode
  TBOpMode_None=0
  TBOpMode_ITaskBarList=1
  TBOpMode_ITaskBarList2=2
  TBOpMode_ITaskBarList3=3
  TBOpMode_ITaskBarList4=4
End Enum

Enum TBPFLAG
  TBPF_NOPROGRESS=0
  TBPF_INDETERMINATE=1
  TBPF_NORMAL=2
  TBPF_ERROR=4
  TBPF_PAUSED=8
End Enum

Enum THUMBBUTTONFLAGS
  THBF_ENABLED=0
  THBF_DISABLED=1
  THBF_DISMISSONCLICK=2
  THBF_NOBACKGROUND=4
  THBF_HIDDEN=8
  THBF_NONINTERACTIVE=16
End Enum

Enum STPFLAG
  STPF_NONE=0
  STPF_USEAPPTHUMBNAILALWAYS=1
  STPF_USEAPPTHUMBNAILWHENACTIVE=2
  STPF_USEAPPPEEKALWAYS=4
  STPF_USEAPPPEEKWHENACTIVE=8
End Enum

Enum HTTPMethod
  HTTP_GET=0
  HTTP_POST=1
  HTTP_PUT=2
  HTTP_DELETE=3
End Enum

Enum DownloadQueryInfo
  qiMimeVersion=0
  qiContentType=1
  qiContentTransferEncoding=2
  qiContentID=3
  qiContentLength=5
  qiContentLanguage=6
  qiAllow=7
  qiPublic=8
  qiData=9
  qiExpires=10
  qiLastModified=11
  qiURI=13
  qiPragma=17
  qiVersion=18
  qiStatusCode=19
  qiStatusText=20
  qiRawHeaders=21
  qiRawHeadersCRLF=22
  qiConnection=23
  qiAccept=24
  qiAcceptCharset=25
  qiAcceptEncoding=26
  qiAcceptLanguage=27
  qiAuthorization=28
  qiContentEncoding=29
  qiFrom=31
  qiIfModifiedSince=32
  qiLocation=33
  qiReferer=35
  qiRetryAfter=36
  qiServer=37
  qiUserAgent=39
  qiWWWAuthenticate=40
  qiProxyAuthenticate=41
  qiAcceptRanges=42
  qiSetCookie=43
  qiCookie=44
  qiRequestMethod=45
  qiAge=48
  qiCacheControl=49
  qiContentBase=50
  qiContentLocation=51
  qiContentMD5=52
  qiContentRange=53
  qiETag=54
  qiHost=55
  qiIfMatch=56
  qiIfNoneMatch=57
  qiIfRange=58
  qiIfUnmodifiedSince=59
  qiMaxForwards=60
  qiProxyAuthorization=61
  qiRange=62
  qiTransferEncoding=63
  qiUpgrade=64
  qiVary=65
  qiVia=66
  qiWarning=67
  qiExpect=68
  qiProxyConnection=69
  qiUnlessModifiedSince=70
  qiProxySupport=75
  qiAuthenticationInfo=76
  qiPassportURLs=77
  qiPassportConfig=78
End Enum

Enum DownloadMethod
  dl_HTTP_GET=0
  dl_HTTP_POST=1
  dl_FTP=2
  dl_HTTP_PUT=3
  dl_HTTP_DELETE=4
End Enum

Enum StreamFlags
  STRM_READ=0
  STRM_WRITE=1
  STRM_READWRITE=2
  STRM_SHARE_EXCLUSIVE=16
  STRM_SHARE_DENY_WRITE=32
  STRM_SHARE_DENY_READ=48
  STRM_SHARE_DENY_NONE=64
  STRM_CREATE=4096
  STRM_TRANSACTED=65536
  STRM_CONVERT=131072
  STRM_PRIORITY=262144
  STRM_DELETEONRELEASE=67108864
End Enum

Enum StreamSeekMode
  STRM_SeekFromStart=0
  STRM_SeekFromCurPos=1
  STRM_SeekFromEnd=2
End Enum

Enum ServerScanMode
  NormalScan_FromSystemCache=0
  FastSubNetPings_IPsOnly=1
  FastSubNetPings_HostNames=2
  FullScan_WNetEnumResource=3
End Enum

Enum SL_SHOWCMDFLAGS
  SL_SHOWMAXIMIZED=3
  SL_SHOWNORMAL=5
  SL_SHOWMINIMIZEDNOACTIVE=7
End Enum

Enum SL_RESOLVEFLAGS
  Rsv_NO_UI=1
  Rsv_ANY_MATCH=2
  Rsv_UPDATE=4
  Rsv_NOUPDATE=8
  Rsv_NOSEARCH=16
  Rsv_NOTRACK=32
  Rsv_NOLINKINFO=64
  Rsv_INVOKE_MSI=128
  Rsv_NO_UI_WITH_MSG_PUMP=257
End Enum

Enum SL_DATAFLAGS
  SLDF_DEFAULT=0
  SLDF_HAS_ID_LIST=1
  SLDF_HAS_LINK_INFO=2
  SLDF_HAS_NAME=4
  SLDF_HAS_RELPATH=8
  SLDF_HAS_WORKINGDIR=16
  SLDF_HAS_ARGS=32
  SLDF_HAS_ICONLOCATION=64
  SLDF_UNICODE=128
  SLDF_FORCE_NO_LINKINFO=256
  SLDF_HAS_EXP_SZ=512
  SLDF_RUN_IN_SEPARATE=1024
  SLDF_HAS_LOGO3ID=2048
  SLDF_HAS_DARWINID=4096
  SLDF_RUNAS_USER=8192
  SLDF_HAS_EXP_ICON_SZ=16384
  SLDF_NO_PIDL_ALIAS=32768
  SLDF_FORCE_UNCNAME=65536
  SLDF_RUN_WITH_SHIMLAYER=131072
  SLDF_FORCE_NO_LINKTRACK=262144
  SLDF_ENABLE_TARGET_METADATA=8388608
  SLDF_DISABLE_LINK_PATH_TRACKING=1048576
  SLDF_DISABLE_KNOWNFOLDER_RELATIVE_TRACKING=2097152
  SLDF_NO_KF_ALIAS=4194304
  SLDF_ALLOW_LINK_TO_LINK=8388608
  SLDF_UNALIAS_ON_SAVE=16777216
  SLDF_PREFER_ENVIRONMENT_PATH=33554432
  SLDF_KEEP_LOCAL_IDLIST_FOR_UNC_TARGET=67108864
  SLDF_VALID=134215679
  SLDF_RESERVED=-2147483648
End Enum

Enum SL_DATABLOCKSIGS
  EXP_SZ_LINK_SIG=1
  NT_CONSOLE_PROPS_SIG=2
  NT_FE_CONSOLE_PROPS_SIG=4
  EXP_SPECIAL_FOLDER_SIG=5
  EXP_DARWIN_ID_SIG=6
  EXP_SZ_ICON_SIG=7
  EXP_PROPERTYSTORAGE_SIG=9
End Enum

Enum DataSourceType
  dsCollection=0
  dsRecordset=1
End Enum

Enum CollectionSortMode
  colSortModeNone=0
  colSortModeAscending=1
  colSortModeDescending=2
End Enum

Enum TreeChangeReason
  TreeRefreshed=0
  NodeExpanded=1
  NodeCollapsed=2
  NodeAdded=3
  NodeRemoved=4
  NodeSortMode=5
End Enum

Enum GestureIDs
  GID_ALL=0
  GID_ZOOM=3
  GID_PAN=4
  GID_ROTATE=5
  GID_TWOFINGERTAP=6
  GID_PRESSANDTAP=7
End Enum

Enum GestureFlags
  GC_Generic_Enable_Disable=1
  GC_PAN_WITH_SINGLE_FINGER_VERTICALLY=2
  GC_PAN_WITH_SINGLE_FINGER_HORIZONTALLY=4
  GC_PAN_WITH_GUTTER=8
  GC_PAN_WITH_INTERTIA=16
End Enum

Enum GestureState
  GF_BEGIN=1
  GF_INERTIA=2
  GF_END=4
End Enum

Enum TouchFlags
  TOUCHEVENTF_MOVE=1
  TOUCHEVENTF_DOWN=2
  TOUCHEVENTF_UP=4
  TOUCHEVENTF_INRANGE=8
  TOUCHEVENTF_PRIMARY=16
  TOUCHEVENTF_NOCOALESCE=32
  TOUCHEVENTF_PALM=128
End Enum

Enum TouchMask
  TOUCHINPUTMASKF_TIMEFROMSYSTEM=1
  TOUCHINPUTMASKF_EXTRAINFO=2
  TOUCHINPUTMASKF_CONTACTAREA=4
End Enum

Enum ClipBoardFormats
  CF_TEXT=1
  CF_BITMAP=2
  CF_METAFILEPICT=3
  CF_SYLK=4
  CF_DIF=5
  CF_TIFF=6
  CF_OEMTEXT=7
  CF_DIB=8
  CF_PALETTE=9
  CF_PENDATA=10
  CF_RIFF=11
  CF_WAVE=12
  CF_UNICODETEXT=13
  CF_ENHMETAFILE=14
  CF_HDROP=15
  CF_LOCALE=16
  CF_DIBV5=17
  CF_OWNERDISPLAY=128
  CF_DSPTEXT=129
  CF_DSPBITMAP=130
  CF_DSPMETAFILEPICT=131
  CF_DSPENHMETAFILE=142
  CF_PRIVATEFIRST=512
  CF_PRIVATELAST=767
  CF_GDIOBJFIRST=768
  CF_GDIOBJLAST=1023
  vbCF_Link=-16640
  vbCF_Rtf=-16639
  vbCF_HTML=-16638
End Enum

Enum AUDCLNT_SHAREMODE
  AUDCLNT_SHAREMODE_SHARED=0
  AUDCLNT_SHAREMODE_EXCLUSIVE=1
End Enum

Enum AUDCLNT_BUFFERFLAGS
  AUDCLNT_BUFFERFLAGS_NORMAL=0
  AUDCLNT_BUFFERFLAGS_DATA_DISCONTINUITY=1
  AUDCLNT_BUFFERFLAGS_SILENT=2
  AUDCLNT_BUFFERFLAGS_TIMESTAMP_ERROR=4
End Enum

Enum AUDCLNT_FLAGS
  AUDCLNT_NORMAL=0
  AUDCLNT_STREAMFLAGS_CROSSPROCESS=65536
  AUDCLNT_STREAMFLAGS_LOOPBACK=131072
  AUDCLNT_STREAMFLAGS_EVENTCALLBACK=262144
  AUDCLNT_STREAMFLAGS_NOPERSIST=524288
  AUDCLNT_STREAMFLAGS_RATEADJUST=1048576
  AUDCLNT_SESSIONFLAGS_EXPIREWHENUNOWNED=268435456
  AUDCLNT_SESSIONFLAGS_DISPLAY_HIDE=536870912
  AUDCLNT_SESSIONFLAGS_DISPLAY_HIDEWHENEXPIRED=1073741824
End Enum

Enum ServiceTypes
  AudioCaptureClient=0
  AudioRenderClient=1
  AudioStreamVolume=2
  ChannelAudioVolume=3
  SimpleAudioVolume=4
  AudioMeterInformationSession=5
End Enum

Enum ConnectorType
  Unknown_Connector=0
  Physical_Internal=1
  Physical_External=2
  Software_IO=3
  Software_Fixed=4
  Network_Connector=5
End Enum

Enum DataFlow
  FlowIn=0
  FlowOut=1
End Enum

Enum DeviceState
  DEVICE_STATE_ACTIVE=1
  DEVICE_STATE_DISABLED=2
  DEVICE_STATE_NOTPRESENT=4
  DEVICE_STATE_UNPLUGGED=8
  DEVICE_STATEMASK_ALL=15
End Enum

Enum ActivationTypes
  AudioClient=0
  AudioMeterInformation=1
  DeviceTopology=2
  AudioEndpointVolume=3
End Enum

Enum EndpointFormFactor
  RemoteNetworkDevice=0
  Speakers=1
  LineLevel=2
  Headphones=3
  Microphone=4
  Headset=5
  Handset=6
  UnknownDigitalPassthrough=7
  SPDIF=8
  DigitalAudioDisplayDevice=9
  UnknownFormFactor=10
End Enum

Enum EDataFlow
  eRender=0
  eCapture=1
  eAll=2
End Enum

Enum ERole
  eConsole=0
  eMultimedia=1
  eCommunications=2
End Enum

Enum PartType
  Connector=0
  Subunit=1
End Enum

Enum TestMode
  IsExpected=0
  IsExpectedWithTypeCheck=1
  ShouldntOccur=2
  IsExpectedErrNr=3
  IsExpectedErrSrc=4
  IsExpectedErrDesc=5
End Enum

Enum eScriptState
  SCRIPTSTATE_UNINITIALIZED=0
  SCRIPTSTATE_STARTED=1
  SCRIPTSTATE_CONNECTED=2
  SCRIPTSTATE_DISCONNECTED=3
  SCRIPTSTATE_CLOSED=4
  SCRIPTSTATE_INITIALIZED=5
End Enum
