﻿Class cpLeft
    Dim Panel, cmbSceneType, cmbBackFaceStyle, chkAnimate, udnWidgets 

    Sub InitOn(hWnd)
      Set  Panel = Cairo.WidgetForms.CreateChild(hWnd)
           Panel.WidgetRoot.BackColor = &H444444
          
      Set  cmbSceneType = Panel.Widgets.Add(New_w("cwDropDownList"), "cmbSceneType", 12, 14, 125, 21)
      With cmbSceneType
          .DataSourceKey = .Widget.Key 'it's quite practical for bound Controls, when the WidgetKey is the same as the JSON-Model-Key
          .DrawFocusRect = False
          .Widget.Alpha = 0.5
          .VList.Widget.BackColor = &H777777
      End With
     
      Set  cmbBackFaceStyle = Panel.Widgets.Add(New_w("cwDropDownList"), "cmbBackFaceStyle", 12, 40, 125, 21)
      With cmbBackFaceStyle
          .DataSourceKey = .Widget.Key 'dito here, Widget-Creation-Key (in the line above) will be assumed to be the same as the JSON-Model-Key
          .DrawFocusRect = False
          .Widget.Alpha = 0.5
          .VList.Widget.BackColor = &H777777
      End With
     
      Set  chkAnimate = Panel.Widgets.Add(New_w("cwButton"), "chkAnimate", 12, 75, 125, 22)
      With chkAnimate
          .DataSourceKey = .Widget.Key 'and again the DataSource-Referencing per String-Key
          .DataField = "Value"
          .DrawFocusRect = False
          .ButtonStyle = CheckButton
          .Caption = "&Animate 3D-Object"
          .Widget.ToolTip = "switch Animation On/Off"
          .Widget.Alpha = 0.5
      End With
      
      udnWidgets = Array("udnAzimuth", "udnAltitude", "udnZoom", "udnAlpha", "udnPerspDistance")
      For i = 0 To UBound(udnWidgets)
        Set  udnWidgets(i) = Panel.Widgets.Add(New_w("cwUpDown"), CStr(udnWidgets(i)), 10, 111 + i * 26, 127, 23)
        With udnWidgets(i)
            .DataSourceKey = .Widget.Key 'and here again (Widget.Key = JSON-Model-Key ...  ensured in the .Widgets.Add(...)-line above)
            .VList.VScrollBar.Widget.Alpha = 0.7
        End With
      Next
    End Sub
End Class